#include "iomaxq610.h"

extern int i;

// Interrupts vectors
void isr0(void)	//power fail
{
}

#pragma vector = 0
__interrupt void isr1(void)	//mem fault
{
}

#pragma vector = 1
__interrupt void isr2(void)	//ext 0-7 ints
{
}

#pragma vector = 2
__interrupt void isr3(void)	//IR
{
}

#pragma vector = 3
__interrupt void isr4(void)	//serials
{
}

#pragma vector = 4
__interrupt void isr5(void)	//SPI, ext 8-15 ints
{
}

#pragma vector = 5
__interrupt void isr6(void)	//timers
{
  TB0CN = TB0CN & 0xFF7F;   // clear timer 0 interrupt
  PO3 = PO3 ^ 0x0f;         // toggle lower nibble
}

#pragma vector = 7
__interrupt void isr7(void)	//wakeup and watchdog
{
}
