#include <iomaxq610.h>
#include <iomaxq.h>

void main()
{
  /*
   * Try to get a 1Hz blink on the LED's.  System clock = 12MHz.  
   * Timer reload = 0x5B8D = 23437.  Running at div 256, so we get a timer
   * interrupt once every 23437*256 cycles = 5,999,872, or roughly 500ms.
   * We toggle every 500ms, so we get a 1Hz cycle.
   */

  TB0R = 0x5B8D;          // reload for timer 0
  TB0CN = 0x0416;         // timer set to run, enable interrupt, down count, div 256
  PD3 = 0x0f;             // set port 3 lower nibble to output
  IC_bit.IGE = 1;         // set global interrupt enable
  while (1)
  {
    
  }
}
